3.3(x) to 4.1(x) upgrade and licenses

Answered Question
Aug 10th, 2010
User Badges:

Hi,


I am preparing to perform a code upgrade on two of our MDS 9513's. Each is currently at code level 3.3(5) and we are upgrading to code level 4.1(1c). I have licenses already installed on the switches. Does upgrading to the 4.1(x) level invalidate my current licenses? Do I need to get a license key specifically for 4.1(x)?


dkhs2310# show license usage
Feature                      Ins  Lic   Status Expiry Date Comments
                                 Count
--------------------------------------------------------------------------------
FM_SERVER_PKG                 No    -   Unused             -
MAINFRAME_PKG                 No    -   Unused             -
ENTERPRISE_PKG                Yes   -   In use never       -
DMM_FOR_SSM_PKG               No    0   Unused             -
SAN_EXTN_OVER_IP              No    0   Unused             -
PORT_ACTIVATION_PKG           No    0   Unused             -
SME_FOR_IPS_184_PKG           No    0   Unused             -
STORAGE_SERVICES_184          No    0   Unused             -
SAN_EXTN_OVER_IP_18_4         No    0   Unused             -
SAN_EXTN_OVER_IP_IPS2         No    0   Unused             -
SAN_EXTN_OVER_IP_IPS4         No    0   Unused             -
STORAGE_SERVICES_SSN16        No    0   Unused             -
10G_PORT_ACTIVATION_PKG       No    0   Unused             -
STORAGE_SERVICES_ENABLER_PKG  No    0   Unused             -
--------------------------------------------------------------------------------


Thanks

Jeffrey

Correct Answer by Gary Ross about 6 years 8 months ago

Licenses are SAN-OS/NX-OS level unaware.


As new modules/features come out that may require a license to use them, the feature will show up in newer versions of SAN-OS/NX-OS.  Your license is, however, for that switch and that switch only.  You can't freely move licenses around between switches.


BTW, in my opinion, I would stay away from the the 4.1.x level of NX-OS and look at going to at least a 4.2.x level of NX-OS.  We've hit bugs on 4.1.1b and 4.1.3a on all of our 9513's and 9222i's.  The bugs we hit in 4.1.1b caused a supervisor in one of our 9513's to go offline for 20 minutes (scared the h*ll out of me) and another bug caused our 18/4 modules running SANtap to reload at random.


Hope this helps.


Gary

  • 1
  • 2
  • 3
  • 4
  • 5
Overall Rating: 5 (1 ratings)
Loading.
Correct Answer
Gary Ross Fri, 08/20/2010 - 00:49
User Badges:

Licenses are SAN-OS/NX-OS level unaware.


As new modules/features come out that may require a license to use them, the feature will show up in newer versions of SAN-OS/NX-OS.  Your license is, however, for that switch and that switch only.  You can't freely move licenses around between switches.


BTW, in my opinion, I would stay away from the the 4.1.x level of NX-OS and look at going to at least a 4.2.x level of NX-OS.  We've hit bugs on 4.1.1b and 4.1.3a on all of our 9513's and 9222i's.  The bugs we hit in 4.1.1b caused a supervisor in one of our 9513's to go offline for 20 minutes (scared the h*ll out of me) and another bug caused our 18/4 modules running SANtap to reload at random.


Hope this helps.


Gary

Jeffrey.Jenkins... Mon, 08/23/2010 - 05:35
User Badges:

We successfully performed the upgrade without any licensing issues.

All licenses were still properly installed and functional at the new

OS level.


Thanks

Jeffrey

Actions

This Discussion

 

 

Trending Topics: Storage Networking